/************************************************************

  sources.h

************************************************************/
#ifndef sources_flag
#define sources_flag

extern dblptr del_elastic;
extern dblptr u_diff, one_elastic, ionization;
extern double delel, kTi_e, dtkinetic, ion_sound_speed;
extern unsigned int rusize, r_R, u_infty, vr_offset, vu_offset;
extern dblptr eta_TBC, exch, comp, cond;
extern double qi_M, ion_a1, ion_a2; 
extern double mindu_v;
extern double electron_wall_rate, ion_wall_rate, i_Wall_Rate;

extern bool sources(MD_FCT_species_set_ptr, double);
extern void eta_wall(MD_FCT_bc *);
extern void ni_wall(MD_FCT_bc *);
extern void Er_wall(MD_FCT_bc *);
extern void uN_wall(MD_FCT_bc *);
extern void eta_OutFlow_u(MD_FCT_bc *);
extern void Gammai_wall(MD_FCT_bc *);

#endif
